﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GoMallOracle.Models
{
    public class ProductType
    {
        [DisplayName("编号")]
        [Key]
        public int Id { get; set; }

        [DisplayName("类型名称")]
        [StringLength(50,MinimumLength =2,ErrorMessage ="{0}只能处于{1}到{2}之间")]
        public string TypeName { get; set; }

        [DisplayName("父类型编号")]
        public int Up { get; set; }
    }
}
